#include "DialogueTreeFactory.h"
#include "DialogueTree.h"

#define LOCTEXT_NAMESPACE "DialogueSessionFactory"

UDialogueTreeFactory::UDialogueTreeFactory()
{
	bCreateNew = true;
	bEditAfterNew = true;
	SupportedClass = UDialogueTree::StaticClass();
}

UObject* UDialogueTreeFactory::FactoryCreateNew(UClass* Class, UObject* InParent, FName Name, EObjectFlags Flags, UObject* Context, FFeedbackContext* Warn)
{
	return NewObject<UObject>(InParent, Class, Name, Flags | RF_Transactional);
}

FText UDialogueTreeFactory::GetDisplayName() const
{
	return LOCTEXT("FactoryName", "Dialogue Tree");
}

FString UDialogueTreeFactory::GetDefaultNewAssetName() const
{
	return "DialogueTree";
}

#undef LOCTEXT_NAMESPACE